#!/bin/bash

execute() {
  swipl -g "['eu_all','filter'], topro($1), halt;halt." > "evropa.pl"


  {
  echo 'digraph mapa {'
  echo '  size = "8.27,11.69"'
  echo '  graph [splines=true overlap=false]'
  echo '  node [style=filled fillcolor="#00000020", fontname="Dosis", fontsize=36]'
  echo	   
  swipl -g "['eu_all','filter'], todot($1), halt;halt."
  echo '}'
  } > "evropa.dot"

  dot -Tpdf < "evropa.dot" > "evropa-dag.pdf"
  dot -Tpng < "evropa.dot" > "evropa-dag.png"

  cat "evropa.dot" | sed 's|digraph|graph|' | sed 's|>|-|' | neato -Tpdf > "evropa-und.pdf"
  cat "evropa.dot" | sed 's|digraph|graph|' | sed 's|>|-|' | neato -Tpng > "evropa-und.png"

  pdftk evropa-dag.pdf evropa-und.pdf cat output evropa.pdf && rm evropa-dag.pdf evropa-und.pdf
}

execute 600
